[@bigcommerce/checkout-sdk](../README.md) / BillingAddressSelector

# Interface: BillingAddressSelector

## Table of contents

### Methods

- [getBillingAddress](BillingAddressSelector.md#getbillingaddress)
- [getBillingAddressOrThrow](BillingAddressSelector.md#getbillingaddressorthrow)
- [getContinueAsGuestError](BillingAddressSelector.md#getcontinueasguesterror)
- [getLoadError](BillingAddressSelector.md#getloaderror)
- [getUpdateError](BillingAddressSelector.md#getupdateerror)
- [isContinuingAsGuest](BillingAddressSelector.md#iscontinuingasguest)
- [isLoading](BillingAddressSelector.md#isloading)
- [isUpdating](BillingAddressSelector.md#isupdating)

## Methods

### getBillingAddress

▸ **getBillingAddress**(): `undefined` \| [`BillingAddress`](BillingAddress.md)

#### Returns

`undefined` \| [`BillingAddress`](BillingAddress.md)

___

### getBillingAddressOrThrow

▸ **getBillingAddressOrThrow**(): [`BillingAddress`](BillingAddress.md)

#### Returns

[`BillingAddress`](BillingAddress.md)

___

### getContinueAsGuestError

▸ **getContinueAsGuestError**(): `undefined` \| `Error`

#### Returns

`undefined` \| `Error`

___

### getLoadError

▸ **getLoadError**(): `undefined` \| `Error`

#### Returns

`undefined` \| `Error`

___

### getUpdateError

▸ **getUpdateError**(): `undefined` \| `Error`

#### Returns

`undefined` \| `Error`

___

### isContinuingAsGuest

▸ **isContinuingAsGuest**(): `boolean`

#### Returns

`boolean`

___

### isLoading

▸ **isLoading**(): `boolean`

#### Returns

`boolean`

___

### isUpdating

▸ **isUpdating**(): `boolean`

#### Returns

`boolean`
